PHONOPY-LOAD(1)

NAME
phonopy-load - manual page for phonopy-load 2.48.0

DESCRIPTION
usage: phonopy-load [-h] [--abacus] [--abinit] [--aims] [--castep] [--cp2k]

[--crystal] [--dftb+] [--elk] [--fleur] [--lammps] [--qlm]
    [--qe] [--siesta] [--turbomole] [--vasp] [--wien2k] [--pwmat] [--alm] [--amplitude DISPLACEMENT_DISTANCE] [--amax DISPLACEMENT_DISTANCE_MAX] [--anime ANIME [ANIME ...]] [--band BAND_PATHS [BAND_PATHS ...]] [--band-connection] [--band-const-interval] [--band-labels BAND_LABELS [BAND_LABELS ...]] [--band-format BAND_FORMAT] [--band-points BAND_POINTS] [--bi BAND_INDICES [BAND_INDICES ...]] [--config FILE] [--classical] [--cutoff-freq CUTOFF_FREQUENCY] [--cutoff-radius CUTOFF_RADIUS] [-d] [--dm-decimals DYNAMICAL_MATRIX_DECIMALS] [--dos] [--eigvecs] [--exclude-born] [-f CREATE_FORCE_SETS [CREATE_FORCE_SETS ...]] [--factor FREQUENCY_CONVERSION_FACTOR] [--fc FILE] [--fc-calc FC_CALCULATOR] [--fc-calc-opt FC_CALCULATOR_OPTIONS] [--fc-decimals FORCE_CONSTANTS_DECIMALS] [--fc-format FC_FORMAT] [--fc-spg-symmetry] [--fits-debye-model] [--full-fc] [--fz CREATE_FORCE_SETS_ZERO [CREATE_FORCE_SETS_ZERO ...]] [--fmax FMAX] [--fmin FMIN] [--fpitch FPITCH] [--gc] [--gv] [--gv-delta-q GV_DELTA_Q] [--hdf5] [--hdf5-compression HDF5_COMPRESSION] [--irreps IRREPS_QPOINT [IRREPS_QPOINT ...]] [--include-fc] [--include-fs] [--include-disp] [--include-all] [--legend] [--legacy-plot] [--lcg] [--loglevel LOGLEVEL] [--mass MASSES [MASSES ...]] [--mass-ase-iupac2016] [--magmom MAGMOMS [MAGMOMS ...]] [--mesh-format MESH_FORMAT] [--modulation MODULATION [MODULATION ...]] [--mp MESH_NUMBERS [MESH_NUMBERS ...]] [--mlp-params MLP_PARAMS] [--moment] [--moment-order MOMENT_ORDER] [--nac-method NAC_METHOD] [--no-fc-symmetry] [--nodiag] [--nomeshsym] [--nonac] [--noreadfc] [--nosym] [--nowritemesh] [-p] [--pa PRIMITIVE_AXES [PRIMITIVE_AXES ...]] [--pd PROJECTION_DIRECTION [PROJECTION_DIRECTION ...]] [--pdos PDOS [PDOS ...]] [--pm] [--pr] [--pt] [--pypolymlp] [--qpoints QPOINTS [QPOINTS ...]] [--qpoints-format QPOINTS_FORMAT] [--q-direction NAC_Q_DIRECTION [NAC_Q_DIRECTION ...]] [-q] [--random-seed RANDOM_SEED] [--rd RANDOM_DISPLACEMENTS] [--rd-auto-factor RD_NUMBER_ESTIMATION_FACTOR] [--rd-temperature TEMPERATURE] [--readfc-format READFC_FORMAT] [--read-qpoints] [--relax-atomic-positions] [-s] [--sp] [--show-irreps] [--sigma SIGMA] [--sscha SSCHA_ITERATIONS] [--symmetry] [-t] [--td] [--tdm] [--tdm-cif TEMPERATURE] [--temperature TEMPERATURE] [--tmax TMAX] [--tmin TMIN] [--tolerance SYMMETRY_TOLERANCE] [--trigonal] [--tstep TSTEP] [-v] [--wien2k-p1] [--writefc] [--writefc-format WRITEFC_FORMAT] [--writedm] [--xyz-projection] [filename ...]

Phonopy command-line-tool

  positional arguments:

filename
    phonopy.yaml like file

  options:

-h, --help
    show this help message and exit

--abacus
    Invoke ABACUS mode

--abinit
    Invoke Abinit mode

--aims
    Invoke FHI-aims mode

--castep
    Invoke CASTEP mode

--cp2k
    Invoke CP2K mode

--crystal
    Invoke CRYSTAL mode

--dftb+
    Invoke dftb+ mode

--elk
    Invoke elk mode

--fleur
    Invoke Fleur mode

--lammps
    Invoke Lammps mode

--qlm
    Invoke Questaal/LMTO mode

--qe
    Invoke Quantum espresso (QE) mode

--siesta
    Invoke Siesta mode

--turbomole
    Invoke TURBOMOLE mode

--vasp
    Invoke Vasp mode

--wien2k
    Invoke Wien2k mode

--pwmat
    Invoke PWmat mode

--alm
    Use ALM for generating force constants

--amplitude, --amin DISPLACEMENT_DISTANCE
    Distance of displacements and also minimum distance of displacements in random displacements

--amax DISPLACEMENT_DISTANCE_MAX
    Minimum distance of displacements in random displacements

--anime ANIME [ANIME ...]
    Same as ANIME tag

--band BAND_PATHS [BAND_PATHS ...]
    Same behavior as BAND tag

--band-connection
    Treat band crossings

--band-const-interval
    Band paths are sampled with similar interval.

--band-labels BAND_LABELS [BAND_LABELS ...]
    Show labels at band segments

--band-format BAND_FORMAT
    Band structure output file-format

--band-points BAND_POINTS
    Number of points calculated on a band segment in the band structure mode

--bi, --band-indices BAND_INDICES [BAND_INDICES ...]
    Band indices to be included to calcualte thermal properties

--config FILE
    Phonopy configuration file

--classical
    Compute thermodynamic properties using classical statistics.

--cutoff-freq, --cutoff-frequency CUTOFF_FREQUENCY
    Thermal properties are not calculated below this cutoff frequency.

--cutoff-radius CUTOFF_RADIUS
    Out of cutoff radius, force constants are set zero.

-d, --displacement
    Create supercells with displacements

--dm-decimals DYNAMICAL_MATRIX_DECIMALS
    Decimals of values of decimals

--dos
    Calculate (P)DOS

--eigvecs, --eigenvectors
    Output eigenvectors

--exclude-born, --exclude-nac-params
    Exclude born effective charge and dielectric tensor in phonopy.yaml

-f, --force-sets CREATE_FORCE_SETS [CREATE_FORCE_SETS ...]
    Create FORCE_SETS

--factor FREQUENCY_CONVERSION_FACTOR
    Frequency unit conversion factor

--fc, --force-constants FILE
    Create FORCE_CONSTANTS from vaspurn.xml. vasprun.xml has to be passed as argument.

--fc-calc, --fc-calculator FC_CALCULATOR
    Force constants calculator

--fc-calc-opt, --fc-calculator-options FC_CALCULATOR_OPTIONS
    Options for force constants calculator as comma separated string with the style of key = values

--fc-decimals FORCE_CONSTANTS_DECIMALS
    Decimals of values of force constants

--fc-format FC_FORMAT
    Force constants input/output file-format

--fc-spg-symmetry
    Enforce space group symmetry to force constants

--fits-debye-model
    Fits total DOS to a Debye model

--full-fc
    Calculate full supercell force constants matrix

--fz, --force-sets-zero CREATE_FORCE_SETS_ZERO [CREATE_FORCE_SETS_ZERO ...]
    Create FORCE_SETS. disp.yaml in the current directory and vapsrun.xml's for VASP or case.scf(m) for Wien2k as arguments are required. The first argument is that of the perfect supercell to subtract residual forces

--fmax FMAX
    Maximum frequency used for DOS or moment calculation

--fmin FMIN
    Minimum frequency used for DOS or moment calculation

--fpitch FPITCH
    Frequency pitch used for DOS or moment calculation

--gc, --gamma-center
    Set mesh as Gamma center

--gv, --group-velocity
    Calculate group velocities at q-points

--gv-delta-q GV_DELTA_Q
    Delta-q distance used for group velocity calculation

--hdf5
    Use hdf5 for force constants

--hdf5-compression HDF5_COMPRESSION
    hdf5 compression filter (default: "gzip") and "none" for no compression

--irreps, --irreps-qpoint IRREPS_QPOINT [IRREPS_QPOINT ...]
    A q-point where characters of irreps are calculated

--include-fc
    Include force constants in phonopy.yaml

--include-fs
    Include force sets in phonopy.yaml

--include-disp
    Include displacements in phonopy.yaml

--include-all
    Include all output file data in phonopy.yaml

--legend
    Legend of plots is shown in thermal displacements

--legacy-plot
    Legacy style band structure pl

--lcg, --little-cogroup
    Show irreps of little co-group (or point-group of wave vector q) instead of little group

--loglevel LOGLEVEL
    Log level

--mass MASSES [MASSES ...]
    Same as MASS tag

--mass-ase-iupac2016
    Import atomic weights from ASE according to IUPAC 2016

--magmom MAGMOMS [MAGMOMS ...]
    Same as MAGMOM tag

--mesh-format MESH_FORMAT
    Mesh output file-format

--modulation MODULATION [MODULATION ...]
    Same as MODULATION tag

--mp, --mesh MESH_NUMBERS [MESH_NUMBERS ...]
    Same behavior as MP tag

--mlp-params MLP_PARAMS
    Parameters for machine learning potentials as comma separated string with the style of key = values

--moment
    Calculate moment of phonon states distribution

--moment-order MOMENT_ORDER
    Order of moment of phonon states distribution

--nac-method NAC_METHOD
    Non-analytical term correction method: Gonze (default) or Wang

--no-fc-symmetry, --no-sym-fc
    Do not symmetrize force constants

--nodiag
    Set displacements parallel to axes

--nomeshsym
    Symmetry is not imposed for mesh sampling.

--nonac
    Non-analytical term correction

--noreadfc
    Do not read force constants from file

--nosym
    Symmetry is not imposed.

--nowritemesh
    Do not write mesh.yaml or mesh.hdf5

-p, --plot
    Plot data

--pa, --primitive-axis, --primitive-axes PRIMITIVE_AXES [PRIMITIVE_AXES ...]
    Same as PRIMITIVE_AXES tag

--pd, --projection-direction PROJECTION_DIRECTION [PROJECTION_DIRECTION ...]
    Same as PROJECTION_DIRECTION tag

--pdos PDOS [PDOS ...]
    Same as PDOS tag

--pm
    Set plus minus displacements

--pr, --pretend-real
    Use imaginary frequency as real for thermal property calculation. For a testing purpose only, when a small amount of imaginary branches obtained.

--pt, --projected-thermal-property
    Output projected thermal properties

--pypolymlp
    Use pypolymlp for generating force constants

--qpoints QPOINTS [QPOINTS ...]
    Calculate at specified q-points

--qpoints-format QPOINTS_FORMAT
    Q-points output file-format

--q-direction NAC_Q_DIRECTION [NAC_Q_DIRECTION ...]
    Direction of q-vector perturbation used for NAC at q->0, and group velocity for degenerate phonon mode in q-points mode

-q, --quiet
    Print out smallest information

--random-seed RANDOM_SEED
    Random seed by a 32 bit unsigned integer

--rd, --random-displacements RANDOM_DISPLACEMENTS
    Number of supercells with random displacements or "auto".

--rd-auto-factor RD_NUMBER_ESTIMATION_FACTOR
    Factor to estimate number of supercells with random displacements

--rd-temperature TEMPERATURE
    A temperature used to generate random displacements.

--readfc-format READFC_FORMAT
    Force constants input file-format

--read-qpoints
    Read QPOITNS

--relax-atomic-positions
    Relax atomic positions using polynomial MLPs

-s, --save
    Save plot data in pdf

--sp, --save-params
    Save parameters that can run phonopy in phonopy_params.yaml.

--show-irreps
    Show IR-Reps along with characters

--sigma SIGMA
    Smearing width for DOS

--sscha SSCHA_ITERATIONS
    Number of iterations in SSCHA calculation

--symmetry
    Check crystal symmetry

-t, --thermal-property
    Output thermal properties

--td, --thermal-displacements
    Output thermal displacements

--tdm, --thermal-displacement-matrix
    Output thermal displacement matrices

--tdm-cif, --thermal-displacement-matrix-cif TEMPERATURE
    Write cif with aniso_U for which temperature is specified

--temperature TEMPERATURE
    (Deprecated) A temperature used to generate random displacements.

--tmax TMAX
    Maximum calculated temperature

--tmin TMIN
    Minimum calculated temperature

--tolerance SYMMETRY_TOLERANCE
    Symmetry tolerance to search

--trigonal
    Set displacements of all trigonal axes

--tstep TSTEP
    Calculated temperature step

-v, --verbose
    Detailed information is shown.

--wien2k-p1
    Assume Wien2k structs with displacements are P1

--writefc
    Write FORCE_CONSTANTS

--writefc-format WRITEFC_FORMAT
    Force constants output file-format

--writedm
    Write dynamical matrices. This has to be used with QPOINTS setting (or --qpoints)

--xyz-projection
    Project PDOS x, y, z directions in Cartesian coordinates